Index: /gsdl/trunk/perllib/plugins/CONTENTdmPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/CONTENTdmPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/CONTENTdmPlugin.pm	(revision 20790)
@@ -134,5 +134,5 @@
     push(@$pagedimg_options, "-create_thumbnail", "true", "-create_screenview", "true");
     push(@$pagedimg_options, "-file_rename_method", "none");
-
+    push(@$pagedimg_options, "-processing_tmp_files");
     $self = bless $self, $class;
 
@@ -345,5 +345,4 @@
 	    else {
 		$imgfile = &util::filename_cat("..","import",$imgfile);
-		$imgfile = "../import/".$imgfile;
 	    }
 
Index: /gsdl/trunk/perllib/plugins/ExcelPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/ExcelPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/ExcelPlugin.pm	(revision 20790)
@@ -82,5 +82,6 @@
     push(@$html_options,"-extract_language") if $self->{'extract_language'};
     push(@$html_options, "-file_rename_method", "none");
-    
+    push(@$html_options, "-processing_tmp_files");
+
     push(@$text_options, "-input_encoding", "utf8");
     push(@$text_options,"-extract_language") if $self->{'extract_language'};
Index: /gsdl/trunk/perllib/plugins/PDFPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PDFPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/PDFPlugin.pm	(revision 20790)
@@ -162,4 +162,8 @@
     push(@$html_options,"-input_encoding", "utf8");
     push(@$html_options,"-extract_language") if $self->{'extract_language'};
+
+    push(@$html_options, "-processing_tmp_files");
+    push(@$pagedimg_options, "-processing_tmp_files");
+
     # Instruct HTMLPlug (when eventually accessed through read_into_doc_obj) 
     # to extract these metadata fields from the HEAD META fields
Index: /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/PostScriptPlugin.pm	(revision 20790)
@@ -125,4 +125,5 @@
 	    push(@$pagedimg_options, "-title_sub", '^(Page\s+\d+)?(\s*1\s+)?');
 	    push(@$pagedimg_options, "-file_rename_method", "none");
+	    push(@$pagedimg_options, "-processing_tmp_files");
 	}
     }
@@ -139,4 +140,7 @@
     push(@$html_options, "-file_rename_method", "none");
     
+    # tell the secondary plugins that they are processing tmp files
+    push(@$html_options, "-processing_tmp_files");
+
     $self = bless $self, $class;
     # used for convert_post_process
Index: /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/PowerPointPlugin.pm	(revision 20790)
@@ -121,4 +121,6 @@
 	push(@$html_options,"-file_rename_method", "none");
 	
+	push(@$html_options, "-processing_tmp_files");
+	
 	# Instruct HTMLPlugin (when eventually accessed through read_into_doc_obj) 
 	# to extract these metadata fields from the HEAD META fields
@@ -134,4 +136,5 @@
 	push(@$pageimg_options,"-extract_language") if $self->{'extract_language'};	
 	push(@$pageimg_options,"-file_rename_method", "none");
+	push(@$pageimg_options, "-processing_tmp_files");
     }
 
Index: /gsdl/trunk/perllib/plugins/RTFPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/RTFPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/RTFPlugin.pm	(revision 20790)
@@ -91,4 +91,7 @@
     push(@$text_options, "-file_rename_method", "none");
 
+    # tell the secondary plugins that they are processing tmp files
+    push(@$html_options, "-processing_tmp_files");
+
     $self = bless $self, $class;
 
Index: /gsdl/trunk/perllib/plugins/WordPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/WordPlugin.pm	(revision 20789)
+++ /gsdl/trunk/perllib/plugins/WordPlugin.pm	(revision 20790)
@@ -151,4 +151,8 @@
     my $text_options = $secondary_plugin_options->{'TextPlugin'};
     my $structhtml_options = $secondary_plugin_options->{'StructuredHTMLPlugin'};    
+    # tell the secondary plugins that they are processing tmp files
+    push(@$html_options, "-processing_tmp_files");
+    push(@$structhtml_options, "-processing_tmp_files");
+    
     # wvWare will always produce html files encoded as utf-8, so make sure the secondary HTMLPlugin knows this
     push(@$html_options,"-input_encoding", "utf8");