Index: /gsdl/trunk/macros/kannada.dm
===================================================================
--- /gsdl/trunk/macros/kannada.dm	(revision 20795)
+++ /gsdl/trunk/macros/kannada.dm	(revision 20796)
@@ -10,5 +10,5 @@
 # Indian Institute of Science, Bangalore 560 012, Karnataka, India.
 #
-# Updated in July 2009 by S.K. Lalitha  and K.S. Raghavan of 
+# Improved in September 2009 by S.K. Lalitha  and K.S. Raghavan of 
 # the Sarada Ranganathan Endowment for Library Science, Bangalore
 #
@@ -115,4 +115,6 @@
 _textAcronym_ [l=kn] {à²žà²à²à³à²·à²¿à²ªà³à²€à²°à³à²ª}  
 _labelAcronym_ [l=kn] {à²žà²à²à³à²·à²¿à²ªà³à²€ à²°à³à²ª}  
+_textAuthor_ [l=kn] {à²²à³à²à²}  
+_textAuthors_ [l=kn] {à²²à³à²à²à²°à³}  
 
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
@@ -182,6 +184,5 @@
  <br><a href="http://www.cs.waikato.ac.nz">à²à²à²ªà³à²¯à³à²à²°à³â à²µà²¿à²à³à²à²Ÿà²š à²µà²¿à²­à²Ÿà²</a>, 
  <a href="http://www.waikato.ac.nz">à²µà³à²à²Ÿà²à³ à²µà²¿à²¶à³à²µà²µà²¿à²Šà³à²¯à²Ÿà²šà²¿à²²à²¯</a>, 
- à²šà³à²¯à³à²à²¿ à²²à³à²¯à²Ÿà²à²¡à³â 
-}  
+ à²šà³à²¯à³à²à²¿ à²²à³à²¯à²Ÿà²à²¡à³â }  
 
 _linktextHOME_ [l=kn] {à²¹à³à²®à³â}  
@@ -248,5 +249,6 @@
 _textsubcols1_ [l=kn] {<p>à²žà²à²ªà³à²°à³à²£ à²žà²à²à³à²°à²¹à²£à³à²¯ _1_ à²à²ª à²žà²à²à³à²°à²¹à²£à³à²à²³à²šà³à²šà³à²¹à³à²à²Šà²¿à²Šà³<blockquote>}  
 
-_textsubcols2_ [l=kn] {</blockquote>à²šà³à²µà³ à²žà²Šà³à²¯ à²à²ªà²¯à³à²à²¿à²žà³à²€à³à²€à²¿à²°à³à²µ à²à²ªà²žà²à²à³à²°à²¹à²µà²šà³à²šà³ à²ªà³à²°à²Ÿà²§à²Ÿà²šà³à²¯à²€à³à²¯ à²ªà³à²à²Šà²²à³à²²à²¿ à²šà³à²¡à²¬à²¹à³à²Šà³ à²®à²€à³à²€à³ à²¬à²Šà²²à²Ÿà²¯à²¿à²žà²¬à²¹à³à²Šà³}  
+_textsubcols2_ [l=kn] {</blockquote>
+à²šà³à²µà³ à²žà²Šà³à²¯ à²à²ªà²¯à³à²à²¿à²žà³à²€à³à²€à²¿à²°à³à²µ à²à²ªà²žà²à²à³à²°à²¹à²µà²šà³à²šà³ à²ªà³à²°à²Ÿà²§à²Ÿà²šà³à²¯à²€à³à²¯ à²ªà³à²à²Šà²²à³à²²à²¿ à²šà³à²¡à²¬à²¹à³à²Šà³ à²®à²€à³à²€à³ à²¬à²Šà²²à²Ÿà²¯à²¿à²žà²¬à²¹à³à²Šà³}  
 
 _titleabout_ [l=kn] {à²žà²à²¬à²à²§à²¿à²žà²¿à²Š}
@@ -499,4 +501,14 @@
 _textbookvieweroff_ [l=kn] {à²à²°à²¿à²žà³}  
 
+# html options
+_textdoclayout_ [l=kn] {à²Šà²žà³à²€à²Ÿà²µà³à²à³ à²ªà³à² à²µà²¿à²šà³à²¯à²Ÿà²ž:}  
+_textlayoutnavbar_ [l=kn] {à²ªà³à²à²Š à²®à³à²²à³ à²šà³à²¯à²Ÿà²µà²¿à²à³à²¶à²šà³â à²¬à²Ÿà²°à³â}  
+_textlayoutnonavbar_ [l=kn] {à²šà³à²¯à²Ÿà²µà²¿à²à³à²¶à²šà³â à²¬à²Ÿà²°à³â à²à²²à³à²²}  
+
+_texttermhighlight_ [l=kn] {à²¶à³à²§à²šà²Ÿ à²ªà²Š à²à²€à³à²€à²¿à²€à³à²°à²¿à²žà³à²µà²¿à²à³:}  
+_texttermhighlighton_ [l=kn] {à²¶à³à²§à²¿à²žà²¿à²Š à²ªà²Šà²à²³à²šà³à²šà³ à²à²€à³à²€à²¿à²€à³à²°à²¿à²žà³
+}  
+_texttermhighlightoff_ [l=kn] {à²¶à³à²§à²¿à²žà²¿à²Š à²ªà²Šà²à²³à²šà³à²šà³ à²à²€à³à²€à²¿à²€à³à²°à²¿à²žà²¬à³à²¡}  
+
 #####################################################################
 # 'browse' package for the dynamic browsing interface
@@ -629,5 +641,7 @@
 }  
 
-_texthelplucenesearching_ [l=kn] {à²²à³à²žà³à²šà³â à²à²ªà²¯à³à²à²¿à²žà²¿ à²šà²¿à²°à³à²®à²¿à²€à²µà²Ÿà²Š à²žà²à²à³à²°à²¹à²à²³à²²à³à²²à²¿ à²¬à³à²°à³ à²à³à²²à²µà³ à²žà³à²²à²­à³à²¯à²à²³à³ à²à²µà³.  <ul>
+_texthelplucenesearching_ [l=kn] {à²²à³à²žà³à²šà³â à²à²ªà²¯à³à²à²¿à²žà²¿ à²šà²¿à²°à³à²®à²¿à²€à²µà²Ÿà²Š à²žà²à²à³à²°à²¹à²à²³à²²à³à²²à²¿ à²¬à³à²°à³ à²à³à²²à²µà³ à²žà³à²²à²­à³à²¯à²à²³à³ à²à²µà³.  
+
+<ul>
 <li><b>?</b> à²µà²šà³à²šà³ à²à²à²Šà³ à²
 à²à³à²·à²°à²Š à²¬à²Šà²²à²¿à²à³ à²µà³à²²à³à²¡à³â à²à²Ÿà²°à³à²¡à³â à²à²à²¿ à²à²ªà²¯à³à²à²¿à²žà²¬à²¹à²Šà³. à².à²Šà²Ÿ. <b>b?t</b> <b>bet</b>, <b>bit</b> and <b>bat</b> à²à²€à³à²¯à²Ÿà²Šà²¿ à²à²²à³à²²à²µà²šà³à²šà³ à²¹à³à²²à³à²€à³à²€à²Šà³. 
@@ -779,5 +793,5 @@
 à²à³à²·à²° à²¶à³à²§à²¿à²žà²¬à³à²à³ à²à²²à³à²²à²µà³ à²à²à²¬à³à²Šà²šà³à²šà³ à²šà²¿à²¯à²à²€à³à²°à²¿à²žà³à²€à³à²€à²µà³. à²à²Šà²Ÿà²¹à²°à²£à³à²à³, "_preferences:textignoreaccents_" à²à²¯à³à²à³à²®à²Ÿà²¡à²¿à²Šà²°à³, <i>snail farming</i>à²šà³à²šà³ <i>Snail Farming</i> à²®à²€à³à²€à³ <i>SNAIL FARMING</i> à²à²à²Šà³ à²ªà²°à²¿à²à²£à²¿à²žà²²à²Ÿà²à³à²€à³à²€à²Šà³.}  
 _textstemprefs_ [l=kn] {à²¶à³à²§à²šà³ à²®à²Ÿà²¡à³à²µà²Ÿà² à²ªà²Šà²à²³ à²à³à²šà³à²¯à²šà³à²šà³ à²à²¡à³à²à²£à²¿à²žà²¬à³à²à³ à²à²²à³à²²à²µà³ à²à²à²¬à³à²Šà²šà³à²šà³ à²à²à²Šà³ à²à³à²¡à²¿ à²à³à²à²¡à²¿à²à²³à³ à²šà²¿à²¯à²à²€à³à²°à²¿à²žà³à²€à³à²€à²µà³. à².à²Šà²Ÿ. à²à²à²Šà³ à²µà³à²³à³ "_preferences:textstem_" à²à²°à²¿à²žà²¿à²Šà³à²Šà²²à³à²²à²¿,<i>snail farming</i>à²šà³à²šà³< i>snails farm</i> à²®à²€à³à²€à³ <i>snail farmer</i>à²à²à²Šà³ à²à²Ÿà²£à³à²²à²Ÿà²à³à²€à³à²€à²Šà³. à² à²žà³à²²à²­à³à²¯ à²žà²§à³à²¯à²à³à²à³ à²à²à²à³à²²à³à²·à³â à²¬à²Ÿà²·à³à²¯à²²à³à²²à²¿ à²®à²Ÿà²€à³à²° à²žà²°à²¿à²¯à²Ÿà²à²¿ à²à³à²²à²žà²®à²Ÿà²¡à³à²€à³à²€à²Šà³. _selectstemoptionsprefs_ }  
-_textaccentfoldprefs_ [l=kn] {à²à²à²Šà³ à²à³à²€à³ à²à³à²à²¡à²¿à²à²³à³ à²à²€à³à²€à²à³à²·à²° à²¶à³à²§à²¿à²žà²¬à³à²à³ à²à²²à³à²²à²µà³ à²à²à²¬à³à²Šà²šà³à²šà³ à²šà²¿à²¯à²à²€à³à²°à²¿à²žà³à²€à³à²€à²µà³. à²à²Šà²Ÿà²¹à²°à²£à³à²à³, "_preferences:textignoreaccents_" à²à²¯à³à²à³à²®à²Ÿà²¡à²¿à²Šà²°à³, <i>fÃ©dÃ©ration</i> à²šà³à²šà³ <i>fedÃ©ration</i> à²®à²€à³à²€à³ <i>federation</i> à²à²à²Šà³ à²ªà²°à²¿à²à²£à²¿à²žà²²à²Ÿà²à³à²€à³à²€à²Šà³.}  
+_textaccentfoldprefs_ [l=kn] {à²à²à²Šà³ à²à³à²€à³ à²à³à²à²¡à²¿à²à²³à³ à²à²€à³à²€à²à³à²·à²° à²¶à³à²§à²¿à²žà²¬à³à²à³ à²à²²à³à²²à²µà³ à²à²à²¬à³à²Šà²šà³à²šà³ à²šà²¿à²¯à²à²€à³à²°à²¿à²žà³à²€à³à²€à²µà³. à²à²Šà²Ÿà²¹à²°à²£à³à²à³, "_preferences:textignoreaccents_" à²à²¯à³à²à³à²®à²Ÿà²¡à²¿à²Šà²°à³, <i>fÃÂ©dÃÂ©ration</i> à²šà³à²šà³ <i>fedÃÂ©ration</i> à²®à²€à³à²€à³ <i>federation</i> à²à²à²Šà³ à²ªà²°à²¿à²à²£à²¿à²žà²²à²Ÿà²à³à²€à³à²€à²Šà³.}  
  
 _textstemoptionsprefs_ [l=kn] {à²®à³à²²à³ "_texthelpquerytermstitle_"à²šà²²à³à²²à²¿ à²µà²¿à²µà²°à²¿à²žà²¿à²°à³à²µà²à²€à³  à²¶à³à²§à² à²ªà²Šà²à³à²à³à²à²µà²šà³à²šà³ à²®à³à²à²à³à²à³à²³à²¿à²žà³à²µ à²žà³à²²à²­à³à²¯à²µà²šà³à²šà³ à²à²ªà²¯à³à²à²¿à²žà³à²µà³à²Šà³ à²¹à³à²à³à²à³ à²à²ªà²¯à³à²à²à²° à²®à²€à³à²€à³ à²šà²¿à²à²° à²µà²Ÿà²Š à²¶à³à²§à²šà³à²¯à²Ÿà²à²¬à²¹à³à²Šà³.}  
Index: /gsdl/trunk/macros/tamil.dm
===================================================================
--- /gsdl/trunk/macros/tamil.dm	(revision 20795)
+++ /gsdl/trunk/macros/tamil.dm	(revision 20796)
@@ -114,4 +114,6 @@
 _textAcronym_ [l=ta] {à®à¯à®°à¯à®à¯à®à®ªà¯à®ªà¯à®¯à®°à¯}  
 _labelAcronym_ [l=ta] {à®à¯à®°à¯à®à¯à®à®ªà¯à®ªà¯à®¯à®°à¯à®à®³à¯}  
+_textAuthor_ [l=ta] {à®à®à®¿à®°à®¿à®¯à®©à¯}  
+_textAuthors_ [l=ta] {à®à®à®¿à®°à®¿à®¯à®°à¯à®à®³à¯}  
 
 # Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
@@ -397,5 +399,5 @@
 _textsimplesearch_ [l=ta] {à®€à¯à®à®µà¯à®®à¯ _indexselection__If_(_jselection_, à®à®£à¯à®¯à®Ÿà®© _jselection_)_If_(_gselection_, at _gselection_ à®šà®¿à®²à®¯à®¿à®²à¯)_If_(_nselection_,  _nselection_ à®®à¯à®Žà®¿_If_(_sfselection_,\,_allowformbreak_ à®ªà®¯à®©à¯ à®µà®Ÿà®°à¯à®€à¯à®€à¯à®à®³à¯ à®µà®°à®¿à®à¯ à®ªà®à¯à®€à¯à®€à®µà®®à¯ _sfselection_)  _querytypeselection_ }  
 
-_textadvancedsearch_ [l=ta] { _indexselection_ à®€à¯à®à®µà¯à®®à¯ _If_(_jselection_, à®à®£à¯à®¯à®Ÿà®© _jselection_)_If_(_gselection_,  _gselection_ à®šà®¿à®²à¯à®¯à®²à¯ )_If_(_nselection_,  _nselection_ à®®à¯à®Žà®¿à®¯à®¿à®²à¯) à®à®ªà®¯à¯à®à®¿à®€à¯à®€à¯  _querytypeselection_ à®à¯à®³à¯à®µà®¿}  
+_textadvancedsearch_ [l=ta] {_indexselection_ à®€à¯à®à®µà¯à®®à¯ _If_(_jselection_, à®à®£à¯à®¯à®Ÿà®© _jselection_)_If_(_gselection_,  _gselection_ à®šà®¿à®²à¯à®¯à®²à¯ )_If_(_nselection_,  _nselection_ à®®à¯à®Žà®¿à®¯à®¿à®²à¯) à®à®ªà®¯à¯à®à®¿à®€à¯à®€à¯  _querytypeselection_ à®à¯à®³à¯à®µà®¿}  
 
 _textadvancedmgppsearch_ [l=ta] {_indexselection_à®€à¯à®à®µà¯à®®à¯_If_(_jselection_, à®à®£à¯à®¯à®Ÿà®© _jselection_)_If_(_gselection_,  _gselection_ à®šà®¿à®²à®¯à®¿à®²à¯ )_If_(_nselection_,  _nselection_ à®®à¯à®Žà®¿à®¯à®¿à®²à¯), à®ªà®¿à®±à®à¯ à®ªà®¯à®©à¯ à®à®Ÿà®£à¯à®ªà®¿  _formquerytypeadvancedselection_à®µà®°à®¿à®à¯à®¯à®¿à®²à¯}  
@@ -516,4 +518,15 @@
 _textbookvieweroff_ [l=ta] {à®€à¯à®£à¯à®à®¿à®€à¯à®€à®²à¯}  
 
+# html options
+_textdoclayout_ [l=ta] {à®à®µà®£à®€à¯à®€à®¿à®©à¯ à®
+à®®à¯à®µà¯}  
+_textlayoutnavbar_ [l=ta] {à®¯à®Ÿà®€à¯à®€à®¿à®°à¯ à®à¯à®¯à¯à®¯ à®®à¯à®²à®¿à®°à¯à®à¯à®à¯à®®à¯ à®ªà®à¯à®à¯}  
+_textlayoutnonavbar_ [l=ta] {à®¯à®Ÿà®€à¯à®€à®¿à®°à¯ à®à¯à®¯à¯à®¯ à®ªà®à¯à®à¯à®¯à®¿à®²à¯à®²à¯}  
+
+_texttermhighlight_ [l=ta] {à®€à¯à®à®²à¯ à®à¯à®²à¯ à®à®¯à®°à¯à®€à¯à®€à®¿à®à¯à®à®Ÿà®à¯à®à®²à¯}  
+_texttermhighlighton_ [l=ta] {à®€à¯à®à®²à¯ à®à¯à®²à¯à®à®³à¯ à®à®¯à®°à¯à®€à¯à®€à®¿à®à¯à®à®Ÿà®à¯à®à¯
+}  
+_texttermhighlightoff_ [l=ta] {à®€à¯à®à®²à¯ à®à¯à®²à¯ à®à®¯à®°à¯à®€à¯à®€à®¿à®à¯à®à®Ÿà®à¯à®à®²à¯ à®µà¯à®£à¯à®à®Ÿà®®à¯}  
+
 #####################################################################
 # 'browse' package for the dynamic browsing interface