Index: greenstone3/trunk/src/java/org/greenstone/server/BaseServer.java
===================================================================
--- greenstone3/trunk/src/java/org/greenstone/server/BaseServer.java	(revision 20899)
+++ greenstone3/trunk/src/java/org/greenstone/server/BaseServer.java	(revision 20908)
@@ -9,4 +9,5 @@
 import java.io.InputStreamReader;
 import java.util.Properties;
+import javax.swing.JOptionPane;
 
 import org.apache.log4j.*;
@@ -184,14 +185,11 @@
 
     public void launchBrowser() {
-        server_state_ = -1;
+	server_state_ = -1;
         server_control_.updateControl();   
+	String url = getBrowserURL();
         String message = dictionary.get("ServerControl.LaunchingBrowser");
     	server_control_.displayMessage(message); 
-	String url = getBrowserURL();
 	//recordError("**** browserURL: " + url);
-	BrowserLauncher launcher = new BrowserLauncher(config_properties.getProperty(BaseServer.Property.BROWSER_PATH, ""),
-						       url,
-						       dictionary.get("ServerSettings.NoBrowserFound"),
-						       dictionary.get("ServerSettings.BrowserLaunchFailed"));
+	BrowserLauncher launcher = new BrowserLauncher(config_properties.getProperty(BaseServer.Property.BROWSER_PATH, ""), url);
         logger_.info(message);
 
@@ -206,9 +204,9 @@
 		logger_.error(e);
 	    }
-         } 
-
+	}
+	
 	if (launcher.getBrowserState() != BrowserLauncher.LAUNCHSUCCESS ){
 	    recordError(dictionary.get("ServerControl.LaunchBrowser")); 
-	    server_state_ = BROWSER_LAUNCH_FAILED; 
+	    server_state_ = BROWSER_LAUNCH_FAILED;
 	}
 	else{
Index: greenstone3/trunk/src/java/org/greenstone/server/BaseServerControl.java
===================================================================
--- greenstone3/trunk/src/java/org/greenstone/server/BaseServerControl.java	(revision 20899)
+++ greenstone3/trunk/src/java/org/greenstone/server/BaseServerControl.java	(revision 20908)
@@ -75,6 +75,6 @@
         info_label.setVerticalAlignment(SwingConstants.CENTER);
         info_label.setFont(new Font("SansSerif",Font.PLAIN,14));
-	info_label.setBorder(BorderFactory.createEmptyBorder(5,10,5,10));	        
-		
+	info_label.setBorder(BorderFactory.createEmptyBorder(5,10,5,10));
+			
         JPanel button_panel = new JPanel(new FlowLayout(FlowLayout.CENTER));
 	enter_button = new JButton();
@@ -159,5 +159,6 @@
 	case BaseServer.BROWSER_LAUNCHED:
 	    {
-		info_label.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.Help_RestartLibrary")));
+		info_label.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.BrowserLaunched",new String[]{server.getBrowserURL()})
+						+ BaseServer.dictionary.get("ServerControl.Help_RestartLibrary")));
 		enter_button.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.RestartLibrary")));
 		thisframe.setState(Frame.ICONIFIED);
@@ -168,6 +169,6 @@
 	case BaseServer.BROWSER_LAUNCH_FAILED:
 	    {
-		enter_button.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.EnterLibrary")
-						  + "(URL: " + server.getBrowserURL() + ")"));
+		info_label.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.BrowserLaunchFailed",new String[]{server.getBrowserURL()})));
+		enter_button.setText(stringToHTML(BaseServer.dictionary.get("ServerControl.EnterLibrary")));
 		enter_button.setEnabled(true);
 		fMenu.setEnabled(true);
Index: greenstone3/trunk/src/java/org/greenstone/server/BrowserLauncher.java
===================================================================
--- greenstone3/trunk/src/java/org/greenstone/server/BrowserLauncher.java	(revision 20899)
+++ greenstone3/trunk/src/java/org/greenstone/server/BrowserLauncher.java	(revision 20908)
@@ -1,5 +1,4 @@
 package org.greenstone.server;
 
-import javax.swing.JOptionPane;
 import java.io.BufferedReader;
 import java.io.InputStream;
@@ -11,7 +10,4 @@
 public class BrowserLauncher 
     extends Thread {
-    private String browserNotFound;
-    private String browserLaunchFailed;
-    
     private String url = "about:blank" ;
     static Logger logger = Logger.getLogger(org.greenstone.server.BrowserLauncher.class.getName());
@@ -23,8 +19,6 @@
     private String browserPath = ""; 
 
-    public BrowserLauncher(String browserPath, String url, String browserNotFound, String browserLaunchFailed) {
+    public BrowserLauncher(String browserPath, String url) {
 	this.url = url;
-	this.browserNotFound = browserNotFound;
-	this.browserLaunchFailed = browserLaunchFailed;
         this.browserPath = browserPath;
         //use the default browser
@@ -92,5 +86,4 @@
 	    state = LAUNCHFAILED;
             logger.error("launching command is empty: no browser found.");
-	    JOptionPane.showMessageDialog(null, browserNotFound, "Warning", JOptionPane.WARNING_MESSAGE);
 	    return;
 	}
@@ -129,6 +122,6 @@
 	    logger.info("ExitCode:" + exitCode);
 	    if (exitCode != 0) { // if trying to launch the browser above failed
-		logger.info(browserLaunchFailed);
-		JOptionPane.showMessageDialog(null, browserLaunchFailed, "Warning", JOptionPane.WARNING_MESSAGE);
+		state = LAUNCHFAILED;
+		logger.error("Failed to launch web browser.");		
 	    }
 	}