Index: /gli/trunk/src/org/greenstone/gatherer/GetOpt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/GetOpt.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/GetOpt.java	(revision 20924)
@@ -222,5 +222,5 @@
 		    }
 		    // Parse the path to PERL. If not provided it assumes
-		    // perl should be availble on the PATH.
+		    // perl should be available on the PATH.
 		    else if(argument_name.equals(StaticStrings.PERL_ARGUMENT)) {
 			perl_path = argument_value;
Index: /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 20924)
@@ -164,5 +164,5 @@
 	// Generate the buildcol.pl command
 	ArrayList command_parts_list = new ArrayList();
-	if ((Utility.isWindows()) && (!Gatherer.isGsdlRemote)) {
+	if (!Gatherer.isGsdlRemote) {
 	    command_parts_list.add(Configuration.perl_path);
 	    command_parts_list.add("-S");
Index: /gli/trunk/src/org/greenstone/gatherer/collection/ScriptOptions.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/collection/ScriptOptions.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/collection/ScriptOptions.java	(revision 20924)
@@ -230,20 +230,11 @@
 	    else {
 		String args[];
-		if(Utility.isWindows()) {
-		    args = new String[6];
-		    args[0] = Configuration.perl_path;
-		    args[1] = "-S";
-		    args[2] = LocalGreenstone.getBinScriptDirectoryPath() + filename;
-		    args[3] = "-xml";
-		    args[4] = "-language";
-		    args[5] = lang;
-		}
-		else {
-		    args = new String[4];
-		    args[0] = LocalGreenstone.getBinScriptDirectoryPath() + filename;
-		    args[1] = "-xml";
-		    args[2] = "-language";
-		    args[3] = lang;
-		}
+		args = new String[6];
+		args[0] = Configuration.perl_path;
+		args[1] = "-S";
+		args[2] = LocalGreenstone.getBinScriptDirectoryPath() + filename;
+		args[3] = "-xml";
+		args[4] = "-language";
+		args[5] = lang;
 
 
Index: /gli/trunk/src/org/greenstone/gatherer/download/DownloadJob.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/download/DownloadJob.java	(revision 20924)
@@ -232,10 +232,8 @@
 
 	ArrayList command_list = new ArrayList();
-        if (Utility.isWindows()) {
-	    command_list.add(Configuration.perl_path);
-	    command_list.add("-S");
-	}
-
+	
 	// the following also works for client-gli if downloading is enabled (when there's a gs2build directory inside gli)
+	command_list.add(Configuration.perl_path);
+	command_list.add("-S");
 	command_list.add(LocalGreenstone.getBinScriptDirectoryPath()+"downloadfrom.pl");
 	command_list.add("-download_mode");
Index: /gli/trunk/src/org/greenstone/gatherer/download/ServerInfoDialog.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/download/ServerInfoDialog.java	(revision 20924)
@@ -82,8 +82,6 @@
     {
 	ArrayList commands = new ArrayList();
-	if (Utility.isWindows()) {
-	    commands.add(Configuration.perl_path);
-	    commands.add("-S");
-	}
+	commands.add(Configuration.perl_path);
+	commands.add("-S");
 	commands.add(LocalGreenstone.getBinScriptDirectoryPath()+"downloadfrom.pl");
 	commands.add("-info");
Index: /gli/trunk/src/org/greenstone/gatherer/greenstone/Classifiers.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/greenstone/Classifiers.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/greenstone/Classifiers.java	(revision 20924)
@@ -138,8 +138,6 @@
 	    else {
 		ArrayList args = new ArrayList();
-		if (Utility.isWindows()) {
-		    args.add(Configuration.perl_path);
-		    args.add("-S");
-		}
+		args.add(Configuration.perl_path);
+		args.add("-S");		
 		args.add(LocalGreenstone.getBinScriptDirectoryPath() + "classinfo.pl");
 		if (collection_specific) {
@@ -200,8 +198,6 @@
 	    else {
 		ArrayList args = new ArrayList();
-		if (Utility.isWindows()) {
-		    args.add(Configuration.perl_path);
-		    args.add("-S");
-		}
+		args.add(Configuration.perl_path);
+		args.add("-S");
 		args.add(LocalGreenstone.getBinScriptDirectoryPath() + "classinfo.pl");
 		if (collection_name != null) {
Index: /gli/trunk/src/org/greenstone/gatherer/greenstone/Plugins.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/greenstone/Plugins.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/greenstone/Plugins.java	(revision 20924)
@@ -139,8 +139,6 @@
 	    else {
 		ArrayList args = new ArrayList();
-		if (Utility.isWindows()) {
-		    args.add(Configuration.perl_path);
-		    args.add("-S");
-		}
+		args.add(Configuration.perl_path);
+		args.add("-S");
 		args.add(LocalGreenstone.getBinScriptDirectoryPath() + "pluginfo.pl");
 		if (collection_specific) {
@@ -203,8 +201,6 @@
 	    else {
 		ArrayList args = new ArrayList();
-		if (Utility.isWindows()) {
-		    args.add(Configuration.perl_path);
-		    args.add("-S");
-		}
+		args.add(Configuration.perl_path);
+		args.add("-S");		
 		args.add(LocalGreenstone.getBinScriptDirectoryPath() + "pluginfo.pl");
 		if (collection_name != null) {
Index: /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/DownloadPane.java	(revision 20924)
@@ -238,12 +238,12 @@
 		ArrayList args_list = new ArrayList();
 		String args[] = null;
-		if(Utility.isWindows()) {
-		    if(Configuration.perl_path != null) {
-			args_list.add(Configuration.perl_path);
-		    }
-		    else {
-			args_list.add("Perl.exe");
-		    }
-		}
+		if(Configuration.perl_path != null) {
+		    args_list.add(Configuration.perl_path);
+		} else if(Utility.isWindows()) {
+		    args_list.add("Perl.exe");
+		} else {
+		    args_list.add("perl");
+		}
+		args_list.add("-S");
 		args_list.add(LocalGreenstone.getBinScriptDirectoryPath()+"downloadinfo.pl");
 		args_list.add("-xml");
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ExplodeMetadataDatabasePrompt.java	(revision 20924)
@@ -258,5 +258,5 @@
 	// Generate the explode_metadata_database.pl command
 	ArrayList command_parts_list = new ArrayList();
-	if (Utility.isWindows() && (!Gatherer.isGsdlRemote)) {
+	if (!Gatherer.isGsdlRemote) {
 	    command_parts_list.add(Configuration.perl_path);
 	    command_parts_list.add("-S");
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 20924)
@@ -440,5 +440,5 @@
 	// Generate the export.pl command
 	ArrayList command_parts_list = new ArrayList();
-	if (Utility.isWindows() && (!Gatherer.isGsdlRemote)) {
+	if (!Gatherer.isGsdlRemote) {
 	    command_parts_list.add(Configuration.perl_path);
 	    command_parts_list.add("-S");
Index: /gli/trunk/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 20924)
@@ -352,5 +352,5 @@
 		// Generate the convert_coll_from_gs2.pl command
 		ArrayList command_parts_list = new ArrayList();
-		if ((Utility.isWindows()) && (!Gatherer.isGsdlRemote)) {
+		if (!Gatherer.isGsdlRemote) {
 		    command_parts_list.add(Configuration.perl_path);
 		    command_parts_list.add("-S");
Index: /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/ReplaceSrcDocWithHtmlPrompt.java	(revision 20924)
@@ -260,5 +260,5 @@
 	// Generate the replace_srcdoc_with_html.pl command
 	ArrayList command_parts_list = new ArrayList();
-	if (Utility.isWindows() && (!Gatherer.isGsdlRemote)) {
+	if (!Gatherer.isGsdlRemote) {
 	    command_parts_list.add(Configuration.perl_path);
 	    command_parts_list.add("-S");
Index: /gli/trunk/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 20923)
+++ /gli/trunk/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 20924)
@@ -345,5 +345,5 @@
 	// Generate the exportcol.pl command
 	ArrayList command_parts_list = new ArrayList();
-	if (Utility.isWindows() && (!Gatherer.isGsdlRemote)) {
+	if (!Gatherer.isGsdlRemote) {
 	    command_parts_list.add(Configuration.perl_path);
 	    command_parts_list.add("-S");