Index: /greenstone3/trunk/build.xml
===================================================================
--- /greenstone3/trunk/build.xml	(revision 20929)
+++ /greenstone3/trunk/build.xml	(revision 20930)
@@ -701,7 +701,9 @@
 
   <target name="svnupdate-web" unless="nosvn.mode">
-    <svn>
-      <update dir="${web.home}" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${web.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
 
@@ -1065,7 +1067,9 @@
   
   <target name="svnupdate-core" unless="nosvn.mode">
-    <svn>
-      <update dir="." revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${basedir}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
 
@@ -1171,7 +1175,9 @@
 
   <target name="svnupdate-packages" unless="nosvn.mode"> 
-    <svn>
-      <update dir="${src.packages.home}" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${src.packages.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
 
@@ -1311,7 +1317,9 @@
 
   <target name="svnupdate-common-src" depends="init" if="collection.building.disabled" unless="nosvn.mode">
-    <svn>
-      <update dir="${common.src.home}" revision="${branch.revision}"/>
-    </svn>    
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${common.src.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
 
@@ -1323,7 +1331,10 @@
   <target name="checkout-common-src" depends="init" if="collection.building.disabled" unless="nosvn.mode">
     <echo>checking out common-src</echo>
-    <svn>
-      <checkout url="${svn.root}/gsdl/trunk/common-src" destPath="common-src" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="checkout"/>
+      <arg value="${svn.root}/gsdl/trunk/common-src"/>
+			<arg value="common-src"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
     
@@ -1433,11 +1444,18 @@
   <!-- ============== gli targets ================================= -->
   <target name="svnupdate-gli" if="collection.building.enabled" depends="init" unless="nosvn.mode">
-    <svn>
-      <update dir="${gli.home}" revision="${branch.revision}"/>
-
-      <!-- some files from cgi-bin: necessary for remote GLI server  --> 
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl" destPath="${web.home}/WEB-INF/cgi/gliserver.pl" revision="${branch.revision}"/>  
-      <export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm" destPath="${web.home}/WEB-INF/cgi/gsdlCGI.pm" revision="${branch.revision}"/>
-    </svn>
+
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${gli.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
+    <exec executable="svn">
+      <arg value="export"/>
+      <arg value="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl"/>
+      <arg value="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
   </target>
 
@@ -1445,11 +1463,18 @@
     <!-- checkout -->
     <if><bool><not><istrue value="${nosvn.mode}"/></not></bool>
-      <svn>
-        <checkout url="${svn.root}/gli/${branch.path}" destPath="gli" revision="${branch.revision}"/>
-
-	<!-- some files from cgi-bin: necessary for remote GLI server  --> 
-	<export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl" destPath="${web.home}/WEB-INF/cgi/gliserver.pl" revision="${branch.revision}"/>  
-	<export srcUrl="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm" destPath="${web.home}/WEB-INF/cgi/gsdlCGI.pm" revision="${branch.revision}"/>
-      </svn>
+
+    <exec executable="svn">
+      <arg value="checkout"/>
+      <arg value="${gli.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
+    <exec executable="svn">
+      <arg value="export"/>
+      <arg value="${svn.root}/gsdl/${branch.path}/cgi-bin/gliserver.pl"/>
+      <arg value="${svn.root}/gsdl/${branch.path}/cgi-bin/gsdlCGI.pm"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
     </if>
   </target>
@@ -1505,7 +1530,9 @@
   <target name="svnupdate-gs2build" if="collection.building.enabled" depends="init" unless="nosvn.mode">
     <echo>svn updating gs2build</echo>
-    <svn>
-      <update dir="{gs2build.home}" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="${gs2build.home}"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
   </target>
     
@@ -1520,20 +1547,30 @@
   <target name="checkout-gs2build" depends="init" if="collection.building.enabled" unless="nosvn.mode">
     <echo>checking out gs2build</echo>
-    <svn>
-      <checkout url="${svn.root}/gs2build" destPath="gs2build" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="checkout"/>
+      <arg value="${svn.root}/gs2build"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
   </target>
 
   <target name="checkout-winbin" depends="init" if="current.os.iswindows" 
     unless="nosvn.mode">
-    <svn>
-      <checkout url="${svn.root}/other-projects/trunk/winbin" destPath="${basedir}/winbin" revision="${branch.revision}"/>
-    </svn>
+
+    <exec executable="svn">
+      <arg value="checkout"/>
+      <arg value="${svn.root}/other-projects/trunk/winbin"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
   </target>
 
   <target name="update-winbin" depends="init" if="current.os.iswindows" unless="nosvn.mode">
-    <svn>
-      <update dir="winbin" revision="${branch.revision}"/>
-    </svn>
+    <exec executable="svn">
+      <arg value="update"/>
+      <arg value="winbin"/>
+      <arg value="-r"/><arg value="${branch.revision}"/>
+    </exec>
+
   </target>
   
@@ -1674,22 +1711,22 @@
     <mkdir dir="${basedir}/flax-resources"/>
     <mkdir dir="${basedir}/flax-lib"/>
-    <svn>
-      <checkout url="${flax.checkout.path}/src/java/org/flax/"  
-        destPath="${basedir}/src/java/org/flax"/>
-      <checkout url="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax/" 
-        destPath="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
-      <checkout url="${flax.checkout.path}/web/WEB-INF/classes/flax/" 
-        destPath="${web.home}/WEB-INF/classes/flax"/>
-      <checkout url="${flax.checkout.path}/web/interfaces/flax/" 
-        destPath="${web.home}/interfaces/flax"/>
-      <checkout url="${flax.checkout.path}/web/interfaces/flaxmodule/" 
-        destPath="${web.home}/interfaces/flaxmodule"/>
-      <checkout url="${flax.checkout.path}/web/sites/flax/" 
-        destPath="${web.home}/sites/flax"/>
-      <checkout url="${flax.checkout.path}/flax-resources"
-        destPath="${basedir}/flax-resources"/>
-      <checkout url="${flax.checkout.path}/lib"
-        destPath="${basedir}/flax-lib"/>
-    </svn>
+
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/flax"/>
+      <arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax"/>
+      <arg value="src/java/org/greenstone/gsdl3/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/WEB-INF/classes/flax"/>
+      <arg value="${web.home}/WEB-INF/classes/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flax"/>
+      <arg value="${web.home}/interfaces/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flaxmodule"/>
+      <arg value="${web.home}/interfaces/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/sites/flax"/>
+      <arg value="${web.home}/sites/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/flax-resources"/>
+      <arg value="flax-resources"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/lib"/>
+      <arg value="flax-lib"/></exec>
+
     <echo>prepare flax files...</echo>
     <move file="${web.home}/WEB-INF/web.xml" tofile="${web.home}/WEB-INF/web.xml.greenstone3backup"/>
@@ -1700,7 +1737,12 @@
   <target name="update-flax" description="update flax from repository">
     <echo>updating flax ...</echo>
-    <svn>
-      <update dir="${basedir}/src/java/org/flax"/>
-      <update dir="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+      
+		<update dir="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
       <update dir="${web.home}/WEB-INF/classes/flax"/>
       <update dir="${web.home}/interfaces/flax"/>
Index: /greenstone3/trunk/resources/xml/components.xml
===================================================================
--- /greenstone3/trunk/resources/xml/components.xml	(revision 20929)
+++ /greenstone3/trunk/resources/xml/components.xml	(revision 20930)
@@ -4,4 +4,6 @@
 	<!-- source component - files that get compiled and could be safely removed from a binary distribution -->
 	<patternset id="greenstone3.source.component">
+		<include name="gli/src"/>
+		<include name="gli/src/**/*"/>
 		<include name="src"/>
 		<include name="src/**/*"/>