Index: greenstone3/tags/3.04/build.xml
===================================================================
--- greenstone3/tags/3.04/build.xml	(revision 20317)
+++ greenstone3/tags/3.04/build.xml	(revision 20951)
@@ -1664,38 +1664,40 @@
     <mkdir dir="${web.home}/WEB-INF/classes/flax"/>
     <mkdir dir="${web.home}/interfaces/flax"/>
+    <mkdir dir="${web.home}/interfaces/flaxmodule"/>
     <mkdir dir="${web.home}/sites/flax"/>
     <mkdir dir="${basedir}/flax-resources"/>
     <mkdir dir="${basedir}/flax-lib"/>
-    <svn>
-      <checkout url="${flax.checkout.path}/src/java/org/flax/"  
-        destPath="${basedir}/src/java/org/flax"/>
-      <checkout url="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax/" 
-        destPath="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
-      <checkout url="${flax.checkout.path}/web/WEB-INF/classes/flax/" 
-        destPath="${web.home}/WEB-INF/classes/flax"/>
-      <checkout url="${flax.checkout.path}/web/interfaces/flax/" 
-        destPath="${web.home}/interfaces/flax"/>
-      <checkout url="${flax.checkout.path}/web/sites/flax/" 
-        destPath="${web.home}/sites/flax"/>
-      <checkout url="${flax.checkout.path}/flax-resources"
-        destPath="${basedir}/flax-resources"/>
-      <checkout url="${flax.checkout.path}/lib"
-        destPath="${basedir}/flax-lib"/>
-    </svn>
+
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/flax"/>
+      <arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax"/>
+      <arg value="src/java/org/greenstone/gsdl3/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/WEB-INF/classes/flax"/>
+      <arg value="${web.home}/WEB-INF/classes/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flax"/>
+      <arg value="${web.home}/interfaces/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flaxmodule"/>
+      <arg value="${web.home}/interfaces/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/sites/flax"/>
+      <arg value="${web.home}/sites/flax"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/flax-resources"/>
+      <arg value="flax-resources"/></exec>
+    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/lib"/>
+      <arg value="flax-lib"/></exec>
+
     <echo>prepare flax files...</echo>
     <move file="${web.home}/WEB-INF/web.xml" tofile="${web.home}/WEB-INF/web.xml.greenstone3backup"/>
     <antcall target="flax-copy-files" />
-    <antcall target="unzip-flax-resources" />
   </target>
 
   <target name="update-flax" description="update flax from repository">
     <echo>updating flax ...</echo>
-    <svn>
-      <update dir="${basedir}/src/java/org/flax"/>
-      <update dir="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
-      <update dir="${web.home}/WEB-INF/classes/flax"/>
-      <update dir="${web.home}/interfaces/flax"/>
-      <update dir="${web.home}/sites/flax"/>
-    </svn>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="src/java/org/greenstone/gsdl3/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="${web.home}/WEB-INF/classes/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="${web.home}/interfaces/flax"/></exec>
+    <exec executable="svn"><arg value="update"/><arg value="${web.home}/sites/flax"/></exec>
     <antcall target="flax-copy-files" />
   </target>
@@ -1718,6 +1720,15 @@
     <!-- A configuration file containing web service binding information for the axis engine -->
     <copy file="${web.home}/WEB-INF/classes/flax/server-config.wsdd" todir="${web.home}/WEB-INF" overwrite="true" />
-    <copy file="${basedir}/flax-resources/flax-build.xml" todir="${basedir}" overwrite="true" />
+    <!-- A static web service wsdl file which is queried by soap client. The reason this file is used (instead of the dynamically generated version) is in case any redirects are used in the Apache configuration (e.g., flax.nzdl.org:80 redirects to harakeke:8080) -->
+    <copy file="${basedir}/flax-resources/FlaxWebService.wsdl" tofile="${web.home}/FlaxWebService.wsdl" filtering="true" overwrite="true">
+    	<filterset>
+            <filter token="flaxpublicserver" value="${tomcat.server}"/>
+            <filter token="flaxpublicport" value="${tomcat.port}"/>
+    	</filterset>	
+    </copy>
     <copy file="${basedir}/flax-lib/opennlp-tools-1.3.0.jar" todir="${web.home}/WEB-INF/lib" overwrite="true" />    
+    <copy todir="${web.home}/interfaces/flaxmodule/transform" overwrite="true">
+        <fileset dir="${web.home}/interfaces/flaxmodule/transformmodule" excludes="**/.svn" />        
+    </copy>
   </target>
 